--[[----------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2018 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

local WFArguments = require 'WFArguments'
local KSLuaUtils = require "KSLuaUtils"
local WFPlatformInfo = require 'WFPlatformInfo'

local _, LrmImageDataConversionImp

if not WFPlatformInfo.isAndroid then
	_, LrmImageDataConversionImp = KSLuaUtils.requireIfExists( 'LrmImageDataConversionImp' )
end

--==============================================================================

-- @mark LrmImageDataConversion namespace

--------------------------------------------------------------------------------

local LrmImageDataConversion = {}

--------------------------------------------------------------------------------

function LrmImageDataConversion.convertHEICImageFileToJPEGImageFile( heicFilePath )
	
	WFArguments.check( 'string' )
	
	if LrmImageDataConversionImp and LrmImageDataConversionImp.convertHEICImageFileToJPEGImageFile then
		
		return pcall( LrmImageDataConversionImp.convertHEICImageFileToJPEGImageFile, heicFilePath )
		
	end
end

--------------------------------------------------------------------------------

return LrmImageDataConversion
